Bug 201063 - [NEW PORT] security/clamfs: FUSE-based filesystem with on-access anti-virus file scanning
Summary: [NEW PORT] security/clamfs: FUSE-based filesystem with on-access anti-virus f...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-06-23 00:00 UTC by Mageirias Anastasios
Modified: 2016-06-17 06:36 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback-


Attachments
clamfs (3.23 KB, text/plain)
2015-06-23 00:00 UTC, Mageirias Anastasios
no flags Details
The security/clamfs port in shar format (2.56 KB, text/plain)
2016-06-16 20:55 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 9.3 amd64) (27.75 KB, text/plain)
2016-06-16 22:26 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 i386) (27.15 KB, text/plain)
2016-06-16 22:27 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mageirias Anastasios 2015-06-23 00:00:53 UTC
Created attachment 158001 [details]
clamfs
Comment 1 Kurt Jaeger freebsd_committer 2015-06-23 05:14:11 UTC
testing@work
Comment 2 Kurt Jaeger freebsd_committer 2015-06-23 17:58:57 UTC
Test-builds on 10.1a: works.

On 9.3a and 8.4i: fails with C++ issues.

Build-logs @

http://people.freebsd.org/~pi/logs/security__clamfs-*
Comment 3 Martin Wilke freebsd_committer 2015-12-19 15:18:12 UTC
CC submitter
Comment 4 lightside 2016-06-16 20:55:15 UTC
Created attachment 171495 [details]
The security/clamfs port in shar format

Hello, Mageirias Anastasios, Kurt Jaeger and Martin Wilke.

(In reply to comment #2)
> On 9.3a and 8.4i: fails with C++ issues.
I fixed issue for FreeBSD 9.3, including following changes:
- Add "Created by" line, assigned to submitter name and email address
- Remove ${PORTSDIR} value(s) from *_DEPENDS, because this is not required in current ports
- Move devel/boost-libs from LIB_DEPENDS to BUILD_DEPENDS
- Move devel/rlog from BUILD_DEPENDS to LIB_DEPENDS
- Remove ${PREFIX} value(s) from PLIST_FILES
- Add "-I${LOCALBASE}/include/boost/tr1" to CPPFLAGS, which fixes build on FreeBSD 9.3
- Add DOCS option for installation of doc/clamfs.xml file
- Change location of clamd socket in doc/clamfs.xml file for suggested FreeBSD value
- Remove files directory with patches
Comment 5 lightside 2016-06-16 22:26:35 UTC
Created attachment 171496 [details]
The poudriere testport log (FreeBSD 9.3 amd64)
Comment 6 lightside 2016-06-16 22:27:54 UTC
Created attachment 171498 [details]
The poudriere testport log (FreeBSD 10.2 i386)
Comment 7 Kurt Jaeger freebsd_committer 2016-06-17 05:37:45 UTC
testbuilds@work
Comment 8 Kurt Jaeger freebsd_committer 2016-06-17 06:36:18 UTC
Committed, with small patch for current.
Comment 9 commit-hook freebsd_committer 2016-06-17 06:36:26 UTC
A commit references this bug:

Author: pi
Date: Fri Jun 17 06:36:04 UTC 2016
New revision: 416997
URL: https://svnweb.freebsd.org/changeset/ports/416997

Log:
  New port: security/clamfs

  ClamFS is a FUSE-based user-space file system for Linux with
  on-access anti-virus file scanning through clamd daemon

  Features
          - User-space file system
          - Configuration stored in XML files
          - FUSE used as file system back-end
          - Scan files using ClamAV
          - ScanCache speeds up file access
          - Sends mail to administrator when detect virus

  WWW: http://clamfs.sourceforge.net/

  PR:		201063
  Submitted by:	Mageirias Anastasios <anastmag@gmail.com>, lightside@gmx.com

Changes:
  head/security/Makefile
  head/security/clamfs/
  head/security/clamfs/Makefile
  head/security/clamfs/distinfo
  head/security/clamfs/files/
  head/security/clamfs/files/patch-src_scancache.cxx
  head/security/clamfs/pkg-descr
  head/security/clamfs/pkg-message